﻿@model eCommerce.UI.ViewModels.CatalogoViewModel

@{
    var pageSize = Model.Filter.PageSize;
    var currentPage = Model.Filter.Pagina.Value;
    var itemsCount = Model.Count;

    if (Model.Count > pageSize)
    {
        int pageLength = (Model.Count / pageSize) + 1;

        if (Model.Count % pageSize == 0)
        {
            pageLength = itemsCount / pageSize;
        }

        int startItem = (currentPage * pageSize) - (pageSize - 1);
        //int sum = (currentPage * pageSize - itemsCount) == 0 ? pageSize - 1 : (currentPage * pageSize - itemsCount);
        int endItem = currentPage == pageLength ? startItem + pageLength : (currentPage * pageSize);

        int pageLengthAux = pageLength;

        <div class="row">
            <div class="col-xs-12 col-sm-6 text-left">
                <ul class="pagination ">
                    @while (pageLength > 0)
                    {
                        int pageCounter = pageLengthAux - pageLength + 1;
                        if (pageCounter == currentPage)
                        {
                            <li class="current"><a href="javascript:void(0);">@pageCounter</a></li>
                        }
                        else
                        {
                            <li><a href="javascript:fPaging('@pageCounter')">@pageCounter</a></li>
                        }
                        pageLength--;
                    }
                    @*<li><a href="#">siguiente</a></li>*@
                </ul>
            </div>
            <div class="col-xs-12 col-sm-6">
                <div class="result-counter">
                    Mostrando <span>@startItem-@endItem</span> de <span>@Model.Count</span> resultados
                </div>
            </div>
        </div>
    }
}


    
